%{?nodejs_find_provides_and_requires}

Name:           nodejs-uri-path
Version:        1.0.0
Release:        4%{?dist}
Summary:        Convert relative file system paths into safe URI paths

License:        WTFPL or MIT
URL:            https://www.npmjs.com/package/uri-path
Source0:        https://registry.npmjs.org/uri-path/-/uri-path-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(mocha)
BuildRequires:  npm(should)


%description
%{summary}.


%prep
%autosetup -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/uri-path
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/uri-path
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%__nodejs -e "require('./')"
%{nodejs_sitelib}/mocha/bin/mocha


%files
%doc README.md CONTRIBUTING.md
%license LICENSE-WTFPL LICENSE-MIT
%{nodejs_sitelib}/uri-path


%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 11 2016 Tom Hughes <tom@compton.nu> - 1.0.0-1
- Initial build of 1.0.0
